UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMNewTransportInfo Class Reference

LBM New Transport Info class. More...

## Public Member Functions
| LBMNewTransportInfo ()
| Creates an LBMNewTransportInfo object and initializes all values to 0.
uint | flags ()
| Currently unused. More...
void | setFlags (uint flags)
| Currently unused. More...
LBMTransportSourceInfo | getTransportSourceInfo ()
| Returns an object that contains a description of the transport. More...
void | setTransportSourceInfo (LBMTransportSourceInfo transportSourceInfo)
| Sets the transport source information object. More...
String | getSourceString ()
| Returns an object that contains a source string. More...
void | setSourceString (String sourceString)
| Sets the source string. More...

## Detailed Description

LBM New Transport Info class.

Holds infomration that is passed up as part of the transport mapping callback function.

## Member Function Documentation

uint com.latencybusters.lbm.LBMNewTransportInfo.flags | ( |  | ) |

Currently unused.

Returns
  A uint representing an OR'd set of currently set flags.

String com.latencybusters.lbm.LBMNewTransportInfo.getSourceString | ( |  | ) |

Returns an object that contains a source string.

Returns
  A string representing the source

LBMTransportSourceInfo com.latencybusters.lbm.LBMNewTransportInfo.getTransportSourceInfo | ( |  | ) |

Returns an object that contains a description of the transport.

Returns
  An LBMTransportSourceInfo object

void com.latencybusters.lbm.LBMNewTransportInfo.setFlags | ( | uint | flags | ) |

Currently unused.

Parameters

  flags | Flags.

Referenced by com.latencybusters.lbm.LBMContext.removeSourceNotifyCallback().

void com.latencybusters.lbm.LBMNewTransportInfo.setSourceString | ( | String | sourceString | ) |

Sets the source string.

Parameters

  sourceString | A string representing the source

Referenced by com.latencybusters.lbm.LBMContext.removeSourceNotifyCallback().

void com.latencybusters.lbm.LBMNewTransportInfo.setTransportSourceInfo | ( | LBMTransportSourceInfo | transportSourceInfo | ) |

Sets the transport source information object.

Parameters

  transportSourceInfo | An LBMTransportSourceInfo object

Referenced by com.latencybusters.lbm.LBMContext.removeSourceNotifyCallback().

The documentation for this class was generated from the following file:

- LBMNewTransportInfo.cs